puppet_conf mandatory with Puppet 3 for confdir initialisation
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Puppet   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using Puppet 3 with the proxy, if "puppet_conf" isn't specified then settings can't be initialised:

E, [2012-11-27T15:27:06.939586 #23663] ERROR -- : Failed to show puppet environment: Error converting value for param 'config':

Could not find value for $confdir

The Debian package currently ships without this setting specified.

Associated revisions

Revision 7530ea4b - 12/05/2012 09:15 AM - Dominic Cleal

fixes #1983 - use /etc/puppet/puppet.conf by default

When initialising Puppet 3 settings directly, a config dir or file is required,

so default to /etc/puppet/puppet.conf (as the puppetca code also does).

History

#1 - 11/28/2012 04:47 AM - Dominic Cleal

- Category set to Puppet

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/smart-proxy/pull/45

https://github.com/theforeman/foreman-rpms/pull/13

#2 - 12/05/2012 08:49 AM - Ohad Levy

- Target version set to 1.1

#3 - 12/05/2012 08:50 AM - Ohad Levy

should we also update the packaging to include it by default?

#4 - 12/05/2012 08:56 AM - Dominic Cleal

Ohad Levy wrote:

should we also update the packaging to include it by default?

 This was done in pr#13 but I left it commented out to indicate the default in the code.

#5 - 12/05/2012 02:46 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 7530ea4b0f97982e7c5566162a585685be98f0eb.
